Author:     Noah Misch <noah@leadboat.com>
Commit:     Noah Misch <noah@leadboat.com>

    Backport IPC::Run optimization to src/test/perl.
    
    This one-liner makes the TAP portion of "make check-world" 7% faster on
    a non-Windows machine.
    
    Reviewed by FIXME.
    
    Discussion: https://postgr.es/m/FIXME

diff --git a/src/test/perl/PostgreSQL/Test/Utils.pm b/src/test/perl/PostgreSQL/Test/Utils.pm
index 42d5a50..6f7a48b 100644
--- a/src/test/perl/PostgreSQL/Test/Utils.pm
+++ b/src/test/perl/PostgreSQL/Test/Utils.pm
@@ -189,6 +189,10 @@ Set to true when running under MSYS2.
 
 INIT
 {
+	# See https://github.com/cpan-authors/IPC-Run/commit/fc9288c for how this
+	# reduces idle time.  Remove this when IPC::Run 20231003.0 is too old to
+	# matter (when all versions that matter provide the optimization).
+	$SIG{CHLD} = sub { };
 
 	# Return EPIPE instead of killing the process with SIGPIPE.  An affected
 	# test may still fail, but it's more likely to report useful facts.
